Subject: [xrblock] Review of PDV XR Block draft

From: Qin Wu <[email-masked]>
Date: Tue, 27 Sep 2011 18:37:32 +0800

Hi,
In order to get the ball rolling in XRBlock, I would like to provide my review to PDV XR Block draft.

1. Section 1.1 
[Qin] Remove the last paragraph and reference to the measurement identity draft since it had been agreed in the last two IETF meeting to replace tag with SSRC. Also this draft has no dependency to measurement identity draft.

2. Section 2
[Qin]: The terminology Numeric formats  S X:Y should be defined in the seperated section. Suggest to add a new definition section next to Introduction section before the Packet Delay Variation Metric Block section. The proposed text to the defintion section is as follows:
"
2.  Definitions

      This report block makes use of binary fractions.  The terminology

      used is

   Numeric formats  S X:Y

      where S indicates a two's complement signed representation, X the

      number of bits prior to the decimal place and Y the number of bits

      after the decimal place.

      Hence 8:8 represents an unsigned number in the range 0.0 to

      255.996 with a granularity of 0.0039.  S7:8 would represent the

      range -128.000 to +127.996. 0:16 represents a proper binary

      fraction with range

      0.0 to 1 - 1/65536 = 0.9999847

      though note that use of flag values at the top of the numeric

      range slightly reduces this upper limit.  For example, if the 16-

      bit values 0xfffe and 0xffff are used as flags for "over-range"

      and "unavailable" conditions, a 0:16 quantity has range

"

3. Section 2.1
[Qin]: Remove tag field from the format  of Report Block in the figure 1 since there was consesus to use SSRC to replace tag.

4. Section 2.1
[Qin]: Add SSRC field next to Block Length field in the format of Report Block, for reason, please see above.

5. Section 2.1
[Qin]: Add Reserved field after pdvtyp field to fill the remaining space.

6. Section 2.1
[Qin]: Suggest to change "Pos Threshold/Peak PDV " into "Pos PDV Threshold/Peak "and change "Neg Threshold/Peak PDV" into "Neg PDV Threshold/Peak"

7. Section 2.2
[Qin]:Remove S11:4 format from the Positive PDV Threshold/Peak field to get consistent with the format of field name defined in RFC3611, the proposed change is as follows:
"
   Positive PDV Threshold/Peak: 16 bit

      This field is associated with the Positive PDV percentile and expressed in

      Milliseconds with numeric format S11:4.  The term Positive represents that the  packets

      are arriving later than the expected time.

"
8. Section 2.2
[Qin] Remove 8:8 format from the Positive PDV Percentile field to get consistent with the format of field name defined in RFC3611, the proposed change is as follows:
"
   Positive PDV Percentile: 16 bit

      The percentages of packets in the RTP stream for which individual packet

      delays were less than the Positive PDV Threshold. It is expressed in numeric format 8:8 with values from 0 to 100th percentile.

"
9. Section 2.2
[Qin]:Remove S11:4 format from the Negative PDV Threshold/Peak field to get consistent with the format of field name defined in RFC3611. The proposed change is as follows:
"
   Negative PDV Threshold/Peak: 16 bit

      The field is associated with the Negative PDV percentile and expressed in

      Milliseconds with number format S11:4.  The term Negative is associated with packets

      arriving earlier than the expected time.

"
10. Section 2.2

[Qin] Remove 8:8 format from the Negative PDV Percentile field to get consistent with the format of field name defined in RFC3611. The proposed change is as follows:
"
   Negative PDV Percentile: 16 bit

      The percentages of packets in the RTP stream for which individual packet

      delays were more than the Negative PDV Threshold. It is expressed in numeric format 8:8 with values from 0 to 100th percentile.

"
11. Section 2.2

[Qin] Remove S11:4 format from the Mean PDV field to get consistent with the format of field name defined in RFC3611.The proposed change is as follows:
"
   Mean PDV: 16 bit

The mean PDV value of data packets is expressed in milliseconds with Numeric format S11:4 format.

"

12. Section 2.3
Suggest the following change:
The Old Text:
"
provided the MAPDV2 algorithm and the adaptive de-jitter buffer have similar averaging behaviour.
"
The New Text

"
provided the adaptive de-jitter buffer have similar averaging behaviour as the MAPDV2 algorithm.

"

13. Section 2.4

s/"PDV level OR may fix"/"PDV level or may fix"

14. Section 7

Remove the reference to the measurement identity draft since this draft has no dependency to measurement identity draft.

Regards!

-Qin